DNSResultCode
Date: 2017-02-10

javax.jmdns.impl.constants

## Enum DNSResultCode

- java.lang.Object
- - java.lang.Enum<DNSResultCode>
  - - javax.jmdns.impl.constants.DNSResultCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DNSResultCode>

      public enum DNSResultCode
      extends java.lang.Enum<DNSResultCode>

  DNS result code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FormErr` Format Error [RFC1035]
    `NoError` No Error [RFC1035]
    `NotAuth` Server Not Authoritative for zone [RFC2136]]
    `NotImp` Not Implemented [RFC1035]
    `NotZone` Name not contained in zone [RFC2136]
    `NXDomain` Non-Existent Domain [RFC1035]
    `NXRRSet` RR Set that should exist does not [RFC2136]
    `Refused` Query Refused [RFC1035]
    `ServFail` Server Failure [RFC1035]
    `Unknown` Token
    `YXDomain` Name Exists when it should not [RFC2136]
    `YXRRSet` RR Set Exists when it should not [RFC2136]

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `externalName()` Return the string representation of this type
    `int` | `indexValue()` Return the numeric value of this type
    `static DNSResultCode` | `resultCodeForFlags(int flags)`
    `static DNSResultCode` | `resultCodeForFlags(int flags, int extendedRCode)`
    `java.lang.String` | `toString()`
    `static DNSResultCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DNSResultCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final DNSResultCode Unknown

      Token

    - #### NoError

          public static final DNSResultCode NoError

      No Error [RFC1035]

    - #### FormErr

          public static final DNSResultCode FormErr

      Format Error [RFC1035]

    - #### ServFail

          public static final DNSResultCode ServFail

      Server Failure [RFC1035]

    - #### NXDomain

          public static final DNSResultCode NXDomain

      Non-Existent Domain [RFC1035]

    - #### NotImp

          public static final DNSResultCode NotImp

      Not Implemented [RFC1035]

    - #### Refused

          public static final DNSResultCode Refused

      Query Refused [RFC1035]

    - #### YXDomain

          public static final DNSResultCode YXDomain

      Name Exists when it should not [RFC2136]

    - #### YXRRSet

          public static final DNSResultCode YXRRSet

      RR Set Exists when it should not [RFC2136]

    - #### NXRRSet

          public static final DNSResultCode NXRRSet

      RR Set that should exist does not [RFC2136]

    - #### NotAuth

          public static final DNSResultCode NotAuth

      Server Not Authoritative for zone [RFC2136]]

    - #### NotZone

          public static final DNSResultCode NotZone

      Name not contained in zone [RFC2136]

  - ### Method Detail

    - #### values

          public static DNSResultCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DNSResultCode c : DNSResultCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DNSResultCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### externalName

          public java.lang.String externalName()

      Return the string representation of this type
      Returns:
        String

    - #### indexValue

          public int indexValue()

      Return the numeric value of this type
      Returns:
        String

    - #### resultCodeForFlags

          public static DNSResultCode resultCodeForFlags(int flags)

      Parameters:
        `flags` -
      Returns:
        label

    - #### resultCodeForFlags

          public static DNSResultCode resultCodeForFlags(int flags,
                                         int extendedRCode)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DNSResultCode>`